Index: npl/fileserver/advanced_netlogon/advanced_netlogon.build
===================================================================
--- npl/fileserver/advanced_netlogon/advanced_netlogon.build	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ 	(revision )
@@ -1,1 +1,0 @@
-4051
Index: npl/fileserver/cups/cups.build
===================================================================
--- npl/fileserver/cups/cups.build	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ 	(revision )
@@ -1,1 +1,0 @@
-6526
Index: npl/fileserver/cups/cups_dev.build
===================================================================
--- npl/fileserver/cups/cups_dev.build	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ 	(revision )
@@ -1,1 +1,0 @@
-6526
Index: npl/fileserver/foomatic_db/foomatic_db.build
===================================================================
--- npl/fileserver/foomatic_db/foomatic_db.build	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ 	(revision )
@@ -1,1 +1,0 @@
-3324
Index: npl/fileserver/foomatic_db_engine/foomatic_db_engine.build
===================================================================
--- npl/fileserver/foomatic_db_engine/foomatic_db_engine.build	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ 	(revision )
@@ -1,1 +1,0 @@
-6526
Index: npl/fileserver/foomatic_db_hpijs/foomatic_db_hpijs.build
===================================================================
--- npl/fileserver/foomatic_db_hpijs/foomatic_db_hpijs.build	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ 	(revision )
@@ -1,1 +1,0 @@
-3324
Index: npl/fileserver/foomatic_filters/foomatic_filters.build
===================================================================
--- npl/fileserver/foomatic_filters/foomatic_filters.build	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ 	(revision )
@@ -1,1 +1,0 @@
-3324
Index: npl/fileserver/foomatic_filters_ppds/foomatic_filters_ppds.build
===================================================================
--- npl/fileserver/foomatic_filters_ppds/foomatic_filters_ppds.build	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ 	(revision )
@@ -1,1 +1,0 @@
-3324
Index: npl/fileserver/ghostscript/ghostscript.build
===================================================================
--- npl/fileserver/ghostscript/ghostscript.build	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ 	(revision )
@@ -1,1 +1,0 @@
-6526
Index: npl/fileserver/ghostscript/ghostscript_dev.build
===================================================================
--- npl/fileserver/ghostscript/ghostscript_dev.build	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ 	(revision )
@@ -1,1 +1,0 @@
-6526
Index: npl/fileserver/git/git.SlackBuild
===================================================================
--- npl/fileserver/git/git.SlackBuild	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ npl/fileserver/git/git.SlackBuild	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -1,32 +1,60 @@
 #!/bin/bash
+#Gebruik deze file als voorbeeld. Plaats de source tar.gz file in de zelfde directory als deze slackbuild
+#Met de NEED en DEP opties is het mogelijk om build dependencies aan te geven.
+#Voor de meeste packages hoeft er verder niks aan de variabellen veranderd te worden.
+##################################### Build dependency info:
+
 #DEP:openssl
 #DEP:zlib
-#DEP:python
-#DEP:curl
-#DEP:expat
-#NEED:linuxdoc_tools
 
-#
-# Automaticly created by importpackage v1.0
-# Imported from: https://mirrors.slackware.com/slackware/slackware-current/source/d/git/
-# Created at Mon Mar  4 16:54:55 CET 2019
+#######Essential package info.
+#Change these if autodetection fails.
+
+#Name of the Syn-3 package that we are going to create
+NAME=`basename $0|sed 's/.SlackBuild//'`
+
+#Archive of the sourcefiles to unpack 
+SRC_ARC=`ls *.tar.*`
+
+#Version of the sourcefiles
+VER=`echo $SRC_ARC| sed 's/.*-//g' | sed 's/\.tar\..*$//g'`
+
+#Directory of the sourcefiles to build (after optional unpacking)
+SRC_DIR=`echo $SRC_ARC| sed 's/\.tar\..*$//g'`
+
+#Architecture that the created binaries run on.
+#Use noarch for scripts.
+ARCH=`arch`
 
 
-########### source original slackbuild (hopefully we dont need to modify it)
-CWD=`pwd`
-set -e
-source ./git.SlackBuild.orig
+########Build and create the pacakge.
+#Uncomment the stuff that you dont want or need
+
+#Unpack source 
+#(uncomment if not needed)
+syn3_unpack $SRC_ARC || exit 1
+
+#apply patches
+#patch -p1 -d $SRC_DIR < fluxkiosk.patch || exit 1
+
+#build and install sourcefiles
+#(use one of the other syn3_build_* scripts when needed)
+export CONFIGURE_OPTS=""
+export MAKE_OPTS=""
+export NOTEST=1
+pushd $SRC_DIR
+make configure || exit 1
+popd
+syn3_build_automake $SRC_DIR /tmp/pkg || exit 1
+
+#strip bins and other stuff
+syn3_strip /tmp/pkg || exit 1
+
+#move development stuff and create seperate development package
+syn3_move_dev /tmp/pkg /tmp/pkgdev || exit 1
+syn3_makepkg /tmp/pkgdev $NAME""_dev $VER $ARCH || exit 1
+
+#make main package
+syn3_makepkg /tmp/pkg $NAME $VER $ARCH || exit 1
 
 
-############ make syn3 packages
-cd $CWD
-for PKG in /tmp/package-*; do
-        NAME=`echo $PKG| sed 's/.*package-//'| sed 's/-/_/g'`
-
-        #seperate dev-package
-        syn3_move_dev $PKG $PKG""_dev
-        syn3_makepkg $PKG""_dev $NAME""_dev $VERSION $ARCH || exit 1
-
-        #make main package
-        syn3_makepkg $PKG $NAME $VERSION $ARCH || exit 1
-done
Index: npl/fileserver/git/git.SlackBuild.orig
===================================================================
--- npl/fileserver/git/git.SlackBuild.orig	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ 	(revision )
@@ -1,177 +1,0 @@
-#!/bin/bash
-
-# Copyright 2008, 2009, 2010, 2011, 2016, 2018  Patrick J. Volkerding, Sebeka, Minnesota, USA
-# All rights reserved.
-#
-# Redistribution and use of this script, with or without modification, is
-# permitted provided that the following conditions are met:
-#
-# 1. Redistributions of this script must retain the above copyright
-#    notice, this list of conditions and the following disclaimer.
-#
-#  THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
-#  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
-#  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO
-#  EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
-#  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
-#  PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
-#  OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
-#  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
-#  OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
-#  ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-
-cd $(dirname $0) ; CWD=$(pwd)
-
-PKGNAM=git
-VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | cut -d - -f 2 | rev | cut -f 3- -d . | rev)}
-BUILD=${BUILD:-1}
-
-NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
-
-# Automatically determine the architecture we're building on:
-if [ -z "$ARCH" ]; then
-  case "$( uname -m )" in
-    i?86) export ARCH=i586 ;;
-    arm*) export ARCH=arm ;;
-    # Unless $ARCH is already set, use uname -m for all other archs:
-       *) export ARCH=$( uname -m ) ;;
-  esac
-fi
-
-# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
-# the name of the created package would be, and then exit. This information
-# could be useful to other scripts.
-if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
-  echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
-  exit 0
-fi
-
-eval $(perl '-V:installvendorlib')
-PERLDIR=$installvendorlib/$ARCH-linux-thread-multi/auto
-
-if ls /var/log/packages/git-* 1> /dev/null 2> /dev/null ; then
-  echo "The git package needs to be removed before building to ensure that"
-  echo "the perl modules are included in the new package."
-  echo
-  echo "Removing the git package in 15 seconds, and then continuing with the build."
-  sleep 15
-  removepkg git
-fi
-
-if [ "$ARCH" = "i586" ]; then
-  SLKCFLAGS="-O2 -march=i586 -mtune=i686"
-elif [ "$ARCH" = "s390" ]; then
-  SLKCFLAGS="-O2"
-elif [ "$ARCH" = "x86_64" ]; then
-  SLKCFLAGS="-O2 -fPIC"
-else
-  SLKCFLAGS="-O2"
-fi
-
-TMP=${TMP:-/tmp}
-PKG=$TMP/package-git
-
-rm -rf $PKG
-mkdir -p $TMP $PKG
-
-cd $TMP
-rm -rf git-$VERSION
-tar xvf $CWD/git-$VERSION.tar.?z* || exit 1
-cd git-$VERSION || exit 1
-
-chown -R root:root .
-find . \
-  \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
-  -exec chmod 755 {} \; -o \
-  \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-  -exec chmod 644 {} \;
-
-mkdir -p $PKG/usr/doc/git-$VERSION
-cp -a \
-  COPYING* INSTALL  \
-  Documentation \
-  contrib \
-  $PKG/usr/doc/git-$VERSION
-#( cd $PKG/usr/doc/git-$VERSION/Documentation ; rm *.1 *.3 *.7 )
-( cd $PKG/usr/doc/git-$VERSION && find . -name ".git*" -exec rm -r "{}" \; )
-
-make $NUMJOBS \
-  prefix=/usr \
-  mandir=/usr/man \
-  CFLAGS="$SLKCFLAGS" \
-  INSTALLDIRS=vendor \
-  ASCIIDOC8=YesPlease \
-  all doc || exit 1
-
-make \
-  prefix=/usr \
-  mandir=/usr/man \
-  "CFLAGS=$SLKCFLAGS" \
-  INSTALLDIRS=vendor \
-  ASCIIDOC8=YesPlease \
-  install \
-  install-doc \
-  DESTDIR=$PKG || exit 1
-
-#mv $PKG/usr/share/man/man3 $PKG/usr/man
-rm -rf $PKG/usr/share/man
-
-# Don't stomp on perl's file:
-rm -f $PKG/usr/lib*/perl5/perllocal.pod
-
-# Compress and if needed symlink the man pages:
-if [ -d $PKG/usr/man ]; then
-  ( cd $PKG/usr/man
-    for manpagedir in $(find . -type d -name "man*") ; do
-      ( cd $manpagedir
-        for eachpage in $( find . -type l -maxdepth 1) ; do
-          ln -s $( readlink $eachpage ).gz $eachpage.gz
-          rm $eachpage
-        done
-        gzip -9 *.? || true
- 
-      )
-    done
-  )
-fi
-
-find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
-  | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
-
-# Since Stuart Winter hates hard links.  ;-)
-#
-# Switch a hard link with a soft link:
-( cd $PKG/usr/bin
-  find . -links +1 -not -name git | while read gitfile ; do
-    if [ git -ef $gitfile ]; then
-      rm -vf $gitfile
-      ln -vfs git $gitfile
-    fi
-  done
-)
-
-# This removes our DESTDIR from the packlist filenames, to keep perl's 
-# internal inventories consistent and correct.
-find $PKG -name .packlist | while read plist ; do
-  sed -e "s%/share/man%/man%g" \
-      -e "s%$PKG%%g" \
-      -e "s%\.2$%\.2\.gz%g" \
-      -e "s%\.3pm$%\.3pm\.gz%g" \
-      -e "s%\.4$%\.4\.gz%g" \
-      -e "s%\.5$%\.5\.gz%g" \
-      -e "s%\.6$%\.6\.gz%g" \
-      -e "s%\.8$%\.8\.gz%g" \
-      ${plist} > ${plist}.new
-      mv -f ${plist}.new ${plist}
-done
-
-# This is junk:
-#eval $(perl '-V:privlib')
-#(# cd $PKG$(dirname $privlib) && rm -rf 5.* )
-
-mkdir -p $PKG/install
-cat $CWD/slack-desc > $PKG/install/slack-desc
-
-cd $PKG
-/sbin/makepkg -l y -c n $TMP/git-$VERSION-$ARCH-$BUILD.txz
-
Index: npl/fileserver/git/git.build
===================================================================
--- npl/fileserver/git/git.build	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ 	(revision )
@@ -1,1 +1,0 @@
-6530
Index: npl/fileserver/git/git.depver
===================================================================
--- npl/fileserver/git/git.depver	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ npl/fileserver/git/git.depver	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -1,5 +1,2 @@
 openssl	5
 zlib	0
-python	2
-curl	1
-expat	020100
Index: npl/fileserver/git/git.md5
===================================================================
--- npl/fileserver/git/git.md5	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ npl/fileserver/git/git.md5	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -1,9 +1,4 @@
-16260b6ac5614f23c63ea890351f356b  ./git-2.21.0.tar.sign
-a74a7e716e1e548104bc942afc860fdb  ./git-2.21.0.tar.xz
-1be3f43f656f729bbfb3d3a988bafc4e  ./git_dev.pkg
-1ab9978c1ca4eb2d7eec1a53a1bb7f51  ./git.pkg
-3f010de572fc8127a2455536b12e272d  ./git.SlackBuild
-339b606a558df04403f6057909bb8344  ./git.SlackBuild.log.gz
-d48158b3eb5dffaf7bb6573c0b89f132  ./git.SlackBuild.orig
-3b6bcf2ad471d70fdb27aa463e1b326f  ./git.url
-f34dcfefc3ba8a8ec153af0f064b7fc3  ./slack-desc
+9e0a438eb71e89eedb61f89470ed32a0  ./git-1.7.6.tar.bz2
+e03bf4530f332569e4a0fa7eaace707f  ./git.pkg
+43b4aeaef17b2ca549841822547ab116  ./git.SlackBuild
+d72980290c31dc3e86c2421a11de171b  ./git.SlackBuild.log.gz
Index: npl/fileserver/git/git.url
===================================================================
--- npl/fileserver/git/git.url	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ 	(revision )
@@ -1,1 +1,0 @@
-https://www.kernel.org/pub/software/scm/git/
Index: npl/fileserver/git/git.version
===================================================================
--- npl/fileserver/git/git.version	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ npl/fileserver/git/git.version	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -1,1 +1,1 @@
-2.21.0
+1.7.6
Index: npl/fileserver/git/git_dev.arch
===================================================================
--- npl/fileserver/git/git_dev.arch	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ 	(revision )
@@ -1,1 +1,0 @@
-i586
Index: npl/fileserver/git/git_dev.build
===================================================================
--- npl/fileserver/git/git_dev.build	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ 	(revision )
@@ -1,1 +1,0 @@
-1
Index: npl/fileserver/git/git_dev.version
===================================================================
--- npl/fileserver/git/git_dev.version	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ 	(revision )
@@ -1,1 +1,0 @@
-2.21.0
Index: npl/fileserver/git/slack-desc
===================================================================
--- npl/fileserver/git/slack-desc	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ 	(revision )
@@ -1,19 +1,0 @@
-# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description. Line
-# up the first '|' above the ':' following the base package name, and the '|' on
-# the right side marks the last column you can put a character in. You must make
-# exactly 11 lines for the formatting to be correct. It's also customary to
-# leave one space after the ':'.
-
-   |-----handy-ruler------------------------------------------------------|
-git: git (the stupid content tracker)
-git:
-git: Git is a fast, scalable, distributed revision control system with an
-git: unusually rich command set that provides both high-level operations
-git: and full access to internals.
-git:
-git: "git" can mean anything, depending on your mood.
-git:
-git: Git was originally written by Linus Torvalds and is currently
-git: maintained by Junio C. Hamano.
-git:
Index: npl/fileserver/gutenprint/gutenprint.build
===================================================================
--- npl/fileserver/gutenprint/gutenprint.build	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ 	(revision )
@@ -1,1 +1,0 @@
-6526
Index: npl/fileserver/gutenprint/gutenprint_dev.build
===================================================================
--- npl/fileserver/gutenprint/gutenprint_dev.build	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ 	(revision )
@@ -1,1 +1,0 @@
-6526
Index: npl/fileserver/hplip/hplip.build
===================================================================
--- npl/fileserver/hplip/hplip.build	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ 	(revision )
@@ -1,1 +1,0 @@
-6139
Index: npl/fileserver/hplip/hplip_dev.build
===================================================================
--- npl/fileserver/hplip/hplip_dev.build	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ 	(revision )
@@ -1,1 +1,0 @@
-6139
Index: npl/fileserver/libneon/libneon.build
===================================================================
--- npl/fileserver/libneon/libneon.build	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ 	(revision )
@@ -1,1 +1,0 @@
-6526
Index: npl/fileserver/libtirpc/libtirpc.build
===================================================================
--- npl/fileserver/libtirpc/libtirpc.build	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ 	(revision )
@@ -1,1 +1,0 @@
-6353
Index: npl/fileserver/libtirpc/libtirpc_dev.build
===================================================================
--- npl/fileserver/libtirpc/libtirpc_dev.build	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ 	(revision )
@@ -1,1 +1,0 @@
-6353
Index: npl/fileserver/mit-kerberos-app/mit_kerberos_appl.build
===================================================================
--- npl/fileserver/mit-kerberos-app/mit_kerberos_appl.build	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ 	(revision )
@@ -1,1 +1,0 @@
-6526
Index: npl/fileserver/mit-kerberos/mit_kerberos.build
===================================================================
--- npl/fileserver/mit-kerberos/mit_kerberos.build	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ 	(revision )
@@ -1,1 +1,0 @@
-6526
Index: npl/fileserver/mit-kerberos/mit_kerberos_dev.build
===================================================================
--- npl/fileserver/mit-kerberos/mit_kerberos_dev.build	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ 	(revision )
@@ -1,1 +1,0 @@
-6526
Index: npl/fileserver/nfs_utils/nfs_utils.build
===================================================================
--- npl/fileserver/nfs_utils/nfs_utils.build	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ 	(revision )
@@ -1,1 +1,0 @@
-6526
Index: npl/fileserver/nfs_utils/nfs_utils_dev.build
===================================================================
--- npl/fileserver/nfs_utils/nfs_utils_dev.build	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ 	(revision )
@@ -1,1 +1,0 @@
-6526
Index: npl/fileserver/rsync/rsync.build
===================================================================
--- npl/fileserver/rsync/rsync.build	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ 	(revision )
@@ -1,1 +1,0 @@
-6526
Index: npl/fileserver/samba/pytalloc-util.pc
===================================================================
--- npl/fileserver/samba/pytalloc-util.pc	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
+++ npl/fileserver/samba/pytalloc-util.pc	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -0,0 +1,11 @@
+prefix=/usr
+exec_prefix=${prefix}
+libdir=${prefix}/lib
+includedir=${prefix}/include
+
+Name: pytalloc-util
+Description: Utility functions for using talloc objects with Python
+Version: 2.0.8
+Libs: -L${libdir} -lpytalloc-util
+Cflags: -Wl,-rpath,/usr/lib -I${includedir}
+URL: http://talloc.samba.org/
Index: npl/fileserver/samba/samba.SlackBuild
===================================================================
--- npl/fileserver/samba/samba.SlackBuild	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ npl/fileserver/samba/samba.SlackBuild	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -1,7 +1,7 @@
 #!/bin/bash
 
-# Automaticly created by importpackage v1.0
-# Imported from: https://mirrors.slackware.com/slackware/slackware-current/source/n/samba/
-# Created at Wed Mar 14 11:38:43 CET 2018
+# Automaticly created by importpackage
+# Imported from: http://mirror.nl.leaseweb.net/slackware/slackware-current/source/n/samba/
+# Created at Mon Jun  1 14:53:58 CEST 2015
 
 #DEP:gnutls
Index: npl/fileserver/samba/samba.SlackBuild.orig
===================================================================
--- npl/fileserver/samba/samba.SlackBuild.orig	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ npl/fileserver/samba/samba.SlackBuild.orig	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -1,5 +1,5 @@
 #!/bin/sh
 
-# Copyright 2008, 2009, 2010, 2012, 2013, 2015, 2016, 2017  Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2008, 2009, 2010, 2012, 2013, 2015, 2016  Patrick J. Volkerding, Sebeka, Minnesota, USA
 # All rights reserved.
 #
@@ -24,6 +24,6 @@
 
 
-VERSION=${VERSION:-$(echo samba-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-1}
+VERSION=${VERSION:-$(echo samba-*.tar.gz | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-3}
 
 if [ -e $CWD/machine.conf ]; then
@@ -68,8 +68,20 @@
 mkdir -p $TMP $PKG
 
+if [ -r /usr/lib${LIBDIRSUFFIX}/libtalloc.so.? -a ! -r /var/log/packages/talloc* ]; then
+  echo "The Samba package needs to be removed before building to ensure that"
+  echo "talloc (and possibly other bundled libraries) are included in the build."
+  echo
+  echo "Removing the Samba package in 15 seconds, and then continuing with the build."
+  sleep 15
+  removepkg samba
+fi
+
 cd $TMP
 rm -rf samba-$VERSION
-tar xvf $CWD/samba-$VERSION.tar.?z || exit 1
+tar xvf $CWD/samba-$VERSION.tar.gz || exit 1
 cd samba-$VERSION || exit 1
+
+# Patch to install talloc/tevent/tdb libraries and includes:
+zcat $CWD/samba.install.talloc.tevent.tdb.diff.gz | patch -p1 --verbose || exit 1
 
 if [ ! -d source3/lib/cmdline ]; then
@@ -121,5 +133,5 @@
   --with-ads \
   --without-pam \
-  --build=$TARGET || exit 1
+  --build=$TARGET
   # Gives errors:
   #--builtin-libraries=replace,ccan \
@@ -127,6 +139,6 @@
 
 # -j options don't seem to work... [Yes they do!  At least try to use -j below...]
-JOBS=6
-MAXJOBS=6
+JOBS=1
+MAXJOBS=20
 export JOBS MAXJOBS
 make -j $MAXJOBS || make || exit 1
@@ -162,6 +174,6 @@
 chmod 644 $PKG/etc/rc.d/rc.samba.new
 
-# mv $PKG/usr/share/man $PKG/usr
-# gzip -9 $PKG/usr/man/man?/*.?
+#mv $PKG/usr/share/man $PKG/usr
+#gzip -9 $PKG/usr/man/man?/*.?
 
 find $PKG | xargs file | grep -e "executable" -e "shared object" \
@@ -169,11 +181,11 @@
 
 # PAM related stuff we don't use:
-# rm -r $PKG/usr/share/locale
+#rm -r $PKG/usr/share/locale
 rm -f $PKG/usr/man/man8/pam*
 
 cp -a \
-  COPYING* MAINTAINERS Manifest PFIF.txt README* \
-  Read-Manifest-Now Roadmap WHATSNEW.txt docs examples \
-  $PKG/usr/doc/samba-$VERSION || true
+  COPYING* PFIF.txt README* \
+  Roadmap WHATSNEW.txt docs examples \
+  $PKG/usr/doc/samba-$VERSION
 # These are installed elsewhere:
 rm -rf $PKG/usr/doc/samba-$VERSION/docs/htmldocs \
@@ -204,2 +216,3 @@
 cd $PKG
 /sbin/makepkg -l y -c n $TMP/samba-$VERSION-$ARCH-$BUILD.txz
+
Index: npl/fileserver/samba/samba.build
===================================================================
--- npl/fileserver/samba/samba.build	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ 	(revision )
@@ -1,1 +1,0 @@
-6530
Index: npl/fileserver/samba/samba.md5
===================================================================
--- npl/fileserver/samba/samba.md5	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ npl/fileserver/samba/samba.md5	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -1,13 +1,15 @@
 5ebfd56dc5c3086e7922b5b4756dc28f  ./doinst.sh.gz
+31fa0fb150a1fe9aa45b3c939c7e4e93  ./pytalloc-util.pc
 a8da7559824fe5889f2dad4cc1825742  ./rc.samba
-1c836413f2e382e44282b4f56c46ba4e  ./samba-4.7.10.tar.gz
-c02ce6e87b473abe78de0eeabe60f946  ./samba_dev.pkg
-493b2948b9eb11b2418c79a773220f48  ./samba.pkg
-732f422a8c9878f8bd653addc42fedb2  ./samba.SlackBuild
-f1b53883b89710f7ed978fff64a86900  ./samba.SlackBuild.log.gz
-c60272b22da6960fac151083daba2dd4  ./samba.SlackBuild.orig
-bc188a5b62be66eb283635f825e1973f  ./samba.url
-fa71b1a88b94bc7030ac36c0e2aefa7e  ./slack-desc
-98cdbfc570e872438a03266433537bab  ./smb.conf.default
-25979b7571c1cf2e79ae9a0f9e676c8a  ./smb.conf.default.orig
-0ba50b84247cc76c287e2b70ce9bb4ab  ./smb.conf.diff.gz
+056d3c765904c71c2e3c65f664f207d7  ./samba-4.4.6.tar.gz
+e36060213bd2488d23a8e60be3212d2b  ./samba_dev.pkg
+f547bd49a0a7ae7786d8515b06f78502  ./samba.install.talloc.tevent.tdb.diff.gz
+3de21c808c192ffb0296e178d2c6cde2  ./samba.pkg
+099ca329d62d83c20cc3e1f01853f952  ./samba.SlackBuild
+a4f7fae3457a78696cb061567c1dbd8a  ./samba.SlackBuild.log.gz
+2fb09b1ddbc7adbf08a4d7ab70bda8a1  ./samba.SlackBuild.orig
+1ae206e7d1c5aa07a096ea0369ad3fa2  ./slack-desc
+7538ea0c84bffe914ab86b5d0a697358  ./smb.conf.default
+c4cf580d33547a8bc90d805721100eeb  ./smb.conf.default.orig
+e0ecba555c5d20ed08abe5c0ed11d8d7  ./smb.conf.diff.gz
+8b927a377b54e5e3a0839eabb945e969  ./talloc.pc
Index: npl/fileserver/samba/samba.url
===================================================================
--- npl/fileserver/samba/samba.url	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ 	(revision )
@@ -1,2 +1,0 @@
-https://download.samba.org/pub/samba/stable/samba-4.7.6.tar.gz
-https://download.samba.org/pub/samba/stable/samba-4.7.6.tar.asc
Index: npl/fileserver/samba/samba.version
===================================================================
--- npl/fileserver/samba/samba.version	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ npl/fileserver/samba/samba.version	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -1,1 +1,1 @@
-4.7.10
+4.4.6
Index: npl/fileserver/samba/samba_dev.build
===================================================================
--- npl/fileserver/samba/samba_dev.build	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ 	(revision )
@@ -1,1 +1,0 @@
-3
Index: npl/fileserver/samba/samba_dev.version
===================================================================
--- npl/fileserver/samba/samba_dev.version	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ npl/fileserver/samba/samba_dev.version	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -1,1 +1,1 @@
-4.7.10
+4.4.6
Index: npl/fileserver/samba/slack-desc
===================================================================
--- npl/fileserver/samba/slack-desc	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ npl/fileserver/samba/slack-desc	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -1,7 +1,7 @@
 # HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description. Line
+# The "handy ruler" below makes it easier to edit a package description.  Line
 # up the first '|' above the ':' following the base package name, and the '|'
-# on the right side marks the last column you can put a character in. You must
-# make exactly 11 lines for the formatting to be correct. It's also
+# on the right side marks the last column you can put a character in.  You must
+# make exactly 11 lines for the formatting to be correct.  It's also
 # customary to leave one space after the ':'.
 
@@ -9,10 +9,10 @@
 samba: samba (CIFS file and print server)
 samba:
-samba: Samba is a CIFS file and print server for CIFS clients. It allows
+samba: Samba is a CIFS file and print server for CIFS clients.  It allows
 samba: you to make file space or printers on a Samba host available to CIFS
 samba: clients (such as PCs running Windows).
 samba:
 samba: If you have any Windows file servers, you may be able to replace them
-samba: or supplement them with Samba. One of Samba's big strengths is
+samba: or supplement them with Samba.  One of Samba's big strengths is
 samba: integration, so you can use it to tie together your Linux hosts and
 samba: Windows PC clients.
Index: npl/fileserver/samba/smb.conf.default
===================================================================
--- npl/fileserver/samba/smb.conf.default	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ npl/fileserver/samba/smb.conf.default	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -34,5 +34,5 @@
 # directory domain controller".
 #
-# Most people will want "standalone server" or "member server".
+# Most people will want "standalone sever" or "member server".
 # Running as "active directory domain controller" will require first
 # running "samba-tool domain provision" to wipe databases and create a
Index: npl/fileserver/samba/smb.conf.default.orig
===================================================================
--- npl/fileserver/samba/smb.conf.default.orig	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ npl/fileserver/samba/smb.conf.default.orig	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -34,5 +34,5 @@
 # directory domain controller".
 #
-# Most people will want "standalone server" or "member server".
+# Most people will want "standalone sever" or "member server".
 # Running as "active directory domain controller" will require first
 # running "samba-tool domain provision" to wipe databases and create a
Index: npl/fileserver/samba/talloc.pc
===================================================================
--- npl/fileserver/samba/talloc.pc	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
+++ npl/fileserver/samba/talloc.pc	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -0,0 +1,11 @@
+prefix=/usr
+exec_prefix=${prefix}
+libdir=${prefix}/lib
+includedir=${prefix}/include
+
+Name: talloc 
+Description: A hierarchical pool based memory system with destructors
+Version: 2.0.8
+Libs: -Wl,-rpath,/usr/lib -L${libdir} -ltalloc
+Cflags: -I${includedir} 
+URL: http://talloc.samba.org/
Index: npl/fileserver/samba_conf/root/etc/postinst.d/post.samba
===================================================================
--- npl/fileserver/samba_conf/root/etc/postinst.d/post.samba	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ npl/fileserver/samba_conf/root/etc/postinst.d/post.samba	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -1,14 +1,6 @@
 #!/bin/sh
 
-#replace by symlink
-if ! [ -L /etc/cups ]; then
-	mv /etc/cups /etc/cups.old 2>/dev/null
-	ln -s /home/system/cups /etc/cups 2>/dev/null
-fi
-
-if ! [ -L /etc/samba ]; then
-	mv /etc/samba /etc/samba.old 2>/dev/null
-	ln -s /home/system/samba /etc/samba 2>/dev/null
-fi
+ln -s /home/system/samba /etc/samba 2>/dev/null
+ln -s /home/system/cups /etc/cups 2>/dev/null
 
 
@@ -21,5 +13,5 @@
 fi
 
-if ! cat /home/system/samba/smb.conf | grep "store dos attributes" &> /dev/null; then
+if ! cat /home/system/samba/smb.conf | grep "store dos attributes" &> /dev/null; then 
 	sed -i /home/system/samba/smb.conf \
 	-e "s/    unix extensions = no/    unix extensions = no\n    store dos attributes = yes/"
@@ -47,18 +39,15 @@
 
 #add new setting (v3.5)
-#if ! grep "max protocol" /home/system/samba/smb.conf; then
-#	sed -i /home/system/samba/smb.conf -e 's/^.global./[global]\nmax protocol = SMB2/'
-#fi
+if ! grep "max protocol" /home/system/samba/smb.conf; then
+	sed -i /home/system/samba/smb.conf -e 's/^.global./[global]\nmax protocol = SMB2/'
+fi
 
 #change setting settings (v4.4.4)
 # https://wiki.samba.org/index.php/Required_settings_for_NT4-style_domains
-#sed -i /home/system/samba/smb.conf -e 's/max protocol = SMB2/max protocol = NT1/'
+sed -i /home/system/samba/smb.conf -e 's/max protocol = SMB2/max protocol = NT1/'
 
 
 #let kernel do auto performance tuning. (the old value of 8k is bad!)
 sed -i /home/system/samba/smb.conf -e 's/.*socket options = TCP_NODELAY SO_SNDBUF=8192 SO_RCVBUF=8192.*//'
-
-#samba 4.7+ chooses good defaults. Windows 10 doesnt support SMBv1 anymore since 10 april 2018.
-sed -i  /home/system/samba/smb.conf -e 's/.*max protocol.*//g'
 
 chmod 1777 /home/shares/profiles
Index: npl/fileserver/samba_conf/root/home/system/samba/smb.conf.new
===================================================================
--- npl/fileserver/samba_conf/root/home/system/samba/smb.conf.new	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ npl/fileserver/samba_conf/root/home/system/samba/smb.conf.new	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -1,5 +1,5 @@
 [global]
-    workgroup = WORKGROUP
-    netbios name = SYN3FS
+    workgroup = EXAMPLE.NET
+    netbios name = DARKSTAR
     server string = "Syn-3 Fileserver"
     security = user
Index: npl/fileserver/samba_conf/samba_conf.build
===================================================================
--- npl/fileserver/samba_conf/samba_conf.build	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ 	(revision )
@@ -1,1 +1,0 @@
-6456
Index: npl/fileserver/samba_conf/samba_conf.md5
===================================================================
--- npl/fileserver/samba_conf/samba_conf.md5	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ npl/fileserver/samba_conf/samba_conf.md5	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -1,3 +1,3 @@
-d697894127badc7d6f61e8db71b93bdc  ./root/etc/postinst.d/post.samba
+15f46e8c83dce59f12980bef8cc424cf  ./root/etc/postinst.d/post.samba
 c473d0d177dab192550848c30d7cbbcb  ./root/home/shares/netlogon/logon.bat.new
 38d7df09b3968b369c7b43a5cde5856e  ./root/home/system/cups/cupsd.conf.default.new
@@ -11,10 +11,10 @@
 e3fd8ee0400db9d9faaa9e8f69db4bfc  ./root/home/system/samba/shares/profiles.samba.new
 8e8e9a752334cf4856b4732e3ac3b585  ./root/home/system/samba/shares/root.samba.new
-9d41774591c9b405373e5ff245141f1d  ./root/home/system/samba/smb.conf.new
+b48b624cc2a52833c865f61024fa8abe  ./root/home/system/samba/smb.conf.new
 7ff084677614b02915fa8e05e8817cfe  ./root/service/cupsd/run
 322afd3aa4bc46bd70dc7118dc5e188c  ./root/service/nmbd/run
 a94682b32e8f1f709ed4c22997d5c0a7  ./root/service/smbd/run
 7f4de4630eb70bfe77bd7ccea504230f  ./root/service/winbindd/run
-bc4e2966954f5ec2d45c242ba257deef  ./samba_conf.pkg
+fb44b6644391b58803cb08d04f902204  ./samba_conf.pkg
 ca70f70bd0e82246686e746c7bf20e21  ./samba_conf.SlackBuild
-2519e2349414cbf68a9c9b47050f6d32  ./samba_conf.SlackBuild.log.gz
+909f186b8858664ddb15c01be1fa1a27  ./samba_conf.SlackBuild.log.gz
Index: npl/fileserver/smb-ldap-tool/modified/smbldap-groupdel
===================================================================
--- npl/fileserver/smb-ldap-tool/modified/smbldap-groupdel	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ npl/fileserver/smb-ldap-tool/modified/smbldap-groupdel	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -57,10 +57,9 @@
 group_del($dn);
 
-# my $nscd_status = system "/etc/init.d/nscd status >/dev/null 2>&1";
-#
-# if ($nscd_status == 0) {
-#   system "/etc/init.d/nscd restart > /dev/null 2>&1";
-# }
-system "nscd -i passwd; nscd -i group";
+my $nscd_status = system "/etc/init.d/nscd status >/dev/null 2>&1";
+
+if ($nscd_status == 0) {
+  system "/etc/init.d/nscd restart > /dev/null 2>&1";
+}
 
 #if (defined($dn_line = get_group_dn($_groupName))) {
Index: npl/fileserver/smb-ldap-tool/modified/smbldap-groupmod
===================================================================
--- npl/fileserver/smb-ldap-tool/modified/smbldap-groupmod	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ npl/fileserver/smb-ldap-tool/modified/smbldap-groupmod	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -48,5 +48,5 @@
   print "  -r   group-rid\n";
   print "  -s   group-sid\n";
-  print "  -t   group-type\n";
+  print "  -t   group-type\n"; 
   print "  -x   delete members (comma delimted)\n";
   print "  -?   show this help message\n";
@@ -66,10 +66,9 @@
 my $newname = $Options{'n'};
 
-# my $nscd_status = system "/etc/init.d/nscd status >/dev/null 2>&1";
-#
-# if ($nscd_status == 0) {
-#   system "/etc/init.d/nscd restart > /dev/null 2>&1";
-# }
-system "nscd -i passwd; nscd -i group";
+my $nscd_status = system "/etc/init.d/nscd status >/dev/null 2>&1";
+
+if ($nscd_status == 0) {
+  system "/etc/init.d/nscd restart > /dev/null 2>&1";
+}
 
 my $gid = getgrnam($groupName);
@@ -224,10 +223,9 @@
 }
 
-# $nscd_status = system "/etc/init.d/nscd status >/dev/null 2>&1";
-#
-# if ($nscd_status == 0) {
-#   system "/etc/init.d/nscd restart > /dev/null 2>&1";
-# }
-system "nscd -i passwd; nscd -i group";
+$nscd_status = system "/etc/init.d/nscd status >/dev/null 2>&1";
+
+if ($nscd_status == 0) {
+  system "/etc/init.d/nscd restart > /dev/null 2>&1";
+}
 
 # take down session
Index: npl/fileserver/smb-ldap-tool/modified/smbldap-useradd
===================================================================
--- npl/fileserver/smb-ldap-tool/modified/smbldap-useradd	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ npl/fileserver/smb-ldap-tool/modified/smbldap-useradd	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -149,5 +149,5 @@
 
 my $userUidNumber = $Options{'u'};
-if (!defined($userUidNumber)) {
+if (!defined($userUidNumber)) { 
   $userUidNumber=get_next_id($config{usersdn},"uidNumber");
 } elsif (getpwuid($userUidNumber)) {
@@ -158,9 +158,8 @@
   system "/etc/init.d/nscd start > /dev/null 2>&1";
 }
-system "nscd -i passwd; nscd -i group";
 
 my $createGroup = 0;
 my $userGidNumber = $Options{'g'};
-# gid not specified ?
+# gid not specified ? 
 if (!defined($userGidNumber)) {
   # windows machine => $config{defaultComputerGid}
@@ -253,5 +252,5 @@
 # MACHINE ACCOUNT
 if (defined($Options{'w'}) or defined($Options{'i'})) {
-
+   
   # if Options{'i'} and username does not end with $ caracter => we add it
   if ( $Options{'i'} and !($userName =~ m/\$$/) ) {
@@ -271,5 +270,5 @@
     system "stty -echo";
     print "New password : ";
-    chomp($pass=<STDIN>);
+    chomp($pass=<STDIN>); 
     print "\n";
     system "stty echo";
@@ -346,5 +345,5 @@
 	my $OX_TZ = "Europe/Amsterdam";
 	my $WRITE_GLOBAL_ADDR = "TRUE";
-
+	
   my $GROUPWARE_SERVER="none";
   if (defined($Options{'W'}))
@@ -389,9 +388,9 @@
 $add->code && warn "failed to add entry: ", $add->error ;
 
-my $add2 = $ldap_master->add ("ou=addr,uid=$userName,$config{usersdn}", attr => [   'objectclass' => ['top','organizationalUnit'], 'ou'   => "addr" ] );
+my $add2 = $ldap_master->add ("ou=addr,uid=$userName,$config{usersdn}", attr => [   'objectclass' => ['top','organizationalUnit'], 'ou'   => "addr" ] );   
 
 my $add3 = $ldap_master->modify ("cn=AddressAdmins,o=AddressBook,$config{suffix}",add => { member  => "uid=$userName,$config{usersdn}" });
     $add3->code && warn "failed to add entry: ", $add3->error ;
-
+																																							    
 
 #if ($createGroup) {
@@ -417,7 +416,7 @@
       system "chown -R $userUidNumber:$userGidNumber $userHomeDirectory 2>/dev/null";
       if (defined $config{userHomeDirectoryMode}) {
-	system "chmod $config{userHomeDirectoryMode} $userHomeDirectory 2>/dev/null";
+	system "chmod $config{userHomeDirectoryMode} $userHomeDirectory 2>/dev/null"; 
       } else {
-	system "chmod 700 $userHomeDirectory 2>/dev/null";
+	system "chmod 700 $userHomeDirectory 2>/dev/null"; 
       }
     }
@@ -499,5 +498,5 @@
 						   ]
 				      );
-
+	
     $modify->code && die "failed to add entry: ", $modify->error ;
 
Index: npl/fileserver/smb-ldap-tool/modified/smbldap-userdel
===================================================================
--- npl/fileserver/smb-ldap-tool/modified/smbldap-userdel	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ npl/fileserver/smb-ldap-tool/modified/smbldap-userdel	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -105,5 +105,4 @@
   system "/etc/init.d/nscd restart > /dev/null 2>&1";
 }
-system "nscd -i passwd; nscd -i group";
 
 $ldap_master->unbind;		# take down session
Index: npl/fileserver/smb-ldap-tool/modified/smbldap-usermod
===================================================================
--- npl/fileserver/smb-ldap-tool/modified/smbldap-usermod	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ npl/fileserver/smb-ldap-tool/modified/smbldap-usermod	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -113,5 +113,5 @@
   my $valpwdcanchange = 0;
   my $valpwdmustchange = $winmagic;
-  my $valpwdlastset = 0;
+  my $valpwdlastset = 0; 
   my $valacctflags = "[UX]";
   my $user_entry=read_user_entry($user);
@@ -143,5 +143,5 @@
   if (defined($Options{'o'})) {
     $nscd_status = system "/etc/init.d/nscd status >/dev/null 2>&1";
-
+	
     if ($nscd_status == 0) {
       system "/etc/init.d/nscd stop > /dev/null 2>&1";
@@ -152,5 +152,4 @@
 	system "/etc/init.d/nscd start > /dev/null 2>&1";
       }
-      system "nscd -i passwd; nscd -i group";
 
       print "$0: uid number $tmp exists\n";
@@ -220,5 +219,5 @@
 }
 
-if (defined($tmp = $Options{'N'})) {
+if (defined($tmp = $Options{'N'})) { 
   push(@mods, 'cn' => $tmp);
 }
@@ -228,6 +227,6 @@
   push(@mods, 'givenName' => $tmp);
 }
-
-if (defined($tmp = $Options{'S'})) {
+  
+if (defined($tmp = $Options{'S'})) { 
   push(@mods, 'sn' => $tmp);
 }
@@ -581,5 +580,4 @@
   system "/etc/init.d/nscd restart > /dev/null 2>&1";
 }
-system "nscd -i passwd; nscd -i group";
 
 if (defined($Options{'P'})) {
Index: npl/fileserver/smb-ldap-tool/modified/smbldap_tools.pm
===================================================================
--- npl/fileserver/smb-ldap-tool/modified/smbldap_tools.pm	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ npl/fileserver/smb-ldap-tool/modified/smbldap_tools.pm	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -241,5 +241,5 @@
 	undef $smbconf{$parameter_smb};
   }
-
+  
 }
 
@@ -287,5 +287,5 @@
 									 # debug => 0xffff,
 									);
-
+									
 	if ($ldap_master)
 	{
@@ -542,5 +542,5 @@
 										  ]
 								);
-
+	
 	$add->code && warn "failed to add entry: ", $add->error ;
 	sleep($wait);
@@ -564,5 +564,5 @@
 	$name =~ s/.$//s;
 
-	my ($lmpassword,$ntpassword) = ntlmgen $name;
+	my ($lmpassword,$ntpassword) = ntlmgen $name;	
 	my $modify = $ldap->modify ( "uid=$user,$config{computersdn}",
 										changes => [
@@ -581,5 +581,5 @@
 												   ]
 									  );
-
+	
 	$modify->code && die "failed to add entry: ", $modify->error ;
 
@@ -594,5 +594,5 @@
 	if (!defined(get_group_dn($group))) {
 	  print "$0: group \"$group\" doesn't exist\n";
-	  exit (6);
+	  exit (6); 
 	}
 	if (!defined($dn_line)) {
@@ -666,5 +666,5 @@
   }
 
-
+  
 sub add_grouplist_user
 {
@@ -683,5 +683,5 @@
 	my $dn_line;
 	my $dn = get_dn_from_line($dn_line);
-
+	
 	if (!defined($dn_line = get_user_dn($user))) {
 	  print "$0: user $user doesn't exist\n";
@@ -725,8 +725,8 @@
   {
 	my ($gname, $gid, $force) = @_;
-	# my $nscd_status = system "/etc/init.d/nscd status >/dev/null 2>&1";
-	# if ($nscd_status == 0) {
-	#   system "/etc/init.d/nscd stop > /dev/null 2>&1";
-	# }
+	my $nscd_status = system "/etc/init.d/nscd status >/dev/null 2>&1";
+	if ($nscd_status == 0) {
+	  system "/etc/init.d/nscd stop > /dev/null 2>&1";
+	}
 	if (!defined($gid)) {
 	  #while (defined(getgrgid($config{GID_START}))) {
@@ -742,8 +742,7 @@
 	  }
 	}
-	# if ($nscd_status == 0) {
-	  # system "/etc/init.d/nscd start > /dev/null 2>&1";
-	  system "nscd -i passwd; nscd -i group";
-	# }
+	if ($nscd_status == 0) {
+	  system "/etc/init.d/nscd start > /dev/null 2>&1";
+	}
 	my $modify = $ldap->add ( "cn=$gname,$config{groupsdn}",
 									 attrs => [
@@ -753,5 +752,5 @@
 											  ]
 								   );
-
+	
 	$modify->code && die "failed to add entry: ", $modify->error ;
 	return $gid;
@@ -1079,5 +1078,5 @@
 	}
 	my $entry = $next_uid_mesg->entry(0);
-
+            
 	$nextuid = $entry->get_value($attribute);
 	my $modify=$ldap->modify( "$config{sambaUnixIdPooldn}",
@@ -1104,5 +1103,5 @@
 
 sub utf8Encode {
-  my $arg = shift;
+  my $arg = shift; 
 
   return to_utf8(
@@ -1119,5 +1118,6 @@
                                    -charset => 'ISO-8859-1',
                                   );
-}
+}   
 
 1;
+
Index: npl/fileserver/smb-ldap-tool/smbldap_tools.build
===================================================================
--- npl/fileserver/smb-ldap-tool/smbldap_tools.build	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ 	(revision )
@@ -1,1 +1,0 @@
-6297
Index: npl/fileserver/smb-ldap-tool/smbldap_tools.md5
===================================================================
--- npl/fileserver/smb-ldap-tool/smbldap_tools.md5	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ npl/fileserver/smb-ldap-tool/smbldap_tools.md5	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -1,19 +1,19 @@
 635eb74f648c0e803323f88b2acccf5b  ./mkntpwd
 6954fcb8495e42830f66f966b313ade1  ./modified/smbldap-groupadd
-3890a56a3f957441c4da8767d35d8262  ./modified/smbldap-groupdel
-74198587f70ca0db666b313c314341f8  ./modified/smbldap-groupmod
+efe7ad06ae23120990e710abdafc65a5  ./modified/smbldap-groupdel
+74e10b3b0c0bd469d0d7eef143d8a6e8  ./modified/smbldap-groupmod
 e3e34caeb9610c66216bd7b0ca0bd02c  ./modified/smbldap-groupshow
 fac31efdbd4fc8b6a9a5a423e4d5eee2  ./modified/smbldap-passwd
 4ad1c367e536083cac20fcc9c0b658b9  ./modified/smbldap-populate
-f0d5931ea564af5bdd121825a4cf03bb  ./modified/smbldap_tools.pm
-3758abb1a25ddc845b9803bdaad34f64  ./modified/smbldap-useradd
-4287f98b7ed3f770a1740470f30fd316  ./modified/smbldap-userdel
-6d25ad2e5d33313c0c71b6a5d463372d  ./modified/smbldap-usermod
+d61954f3fb00dffeca84e0cafb753d2c  ./modified/smbldap_tools.pm
+40e604927fb2743982a0f9da38fe3906  ./modified/smbldap-useradd
+5134af28ca607d30b0d4279550917181  ./modified/smbldap-userdel
+28ccbd899a1e942439b553090c5fb262  ./modified/smbldap-usermod
 4bd42a0df5071bbaeeb9819e5c5318b1  ./modified/smbldap-usershow
 c83f3694fa6ef6e3e9de41f1b4fc9fa6  ./post.smbldap_tools
 f6a54e34c456554c0e616ede34744054  ./smbldap_bind.conf
-1147788ffd040dc26a527591e090db69  ./smbldap.conf
+c0c2673d7bc3596d475952c10143d1df  ./smbldap.conf
 bb8eb44adb4e7946de5b486acf480c24  ./smbldap-tools-0.9.2a.tgz
-e4e0dda6263f88d7957e8319df3979ca  ./smbldap_tools.pkg
+8e7aff562b505ffa711ebc1e03cb463b  ./smbldap_tools.pkg
 0510a4ab26ebc85f1dbaef0cbad5fe85  ./smbldap_tools.SlackBuild
-29e706339374f765b0b143bd27f8b54f  ./smbldap_tools.SlackBuild.log.gz
+1cc215a5f5310e458d4189ab56d1c8a8  ./smbldap_tools.SlackBuild.log.gz
Index: npl/fileserver/subversion/subversion.build
===================================================================
--- npl/fileserver/subversion/subversion.build	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ 	(revision )
@@ -1,1 +1,0 @@
-6526
Index: npl/fileserver/subversion/subversion_dev.build
===================================================================
--- npl/fileserver/subversion/subversion_dev.build	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ 	(revision )
@@ -1,1 +1,0 @@
-6526
Index: npl/fileserver/subversion_conf/subversion_conf.build
===================================================================
--- npl/fileserver/subversion_conf/subversion_conf.build	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ 	(revision )
@@ -1,1 +1,0 @@
-6433
Index: npl/fileserver/tftp_hpa/tftp_hpa.build
===================================================================
--- npl/fileserver/tftp_hpa/tftp_hpa.build	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ 	(revision )
@@ -1,1 +1,0 @@
-6526
Index: npl/fileserver/vsftpd/vsftpd.build
===================================================================
--- npl/fileserver/vsftpd/vsftpd.build	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ 	(revision )
@@ -1,1 +1,0 @@
-6526
